/**
 * (c) Atos IT Solutions and Services GmbH, 2011.
 * Licensed under EUPL 1.1
 */
package com.sag.osami.api.context;

import java.util.Date;
import java.util.Dictionary;

import org.osgi.service.event.Event;

public class OsgiContextEvent extends Event {

	private ContextEvent contextEvent;

	public OsgiContextEvent(String topic, @SuppressWarnings("rawtypes") Dictionary dictionary, ContextEvent contextEvent) {
		super(topic, dictionary);
		this.contextEvent = (ContextEvent) contextEvent;
	}

	public ContextEvent getContextEvent() {
		return contextEvent;
	}

	public String getType() {
		return this.contextEvent.getType();
	}

	public Object getData() {
		return this.contextEvent.getData();
	}

	public String getOriginID() {
		return this.contextEvent.getOriginID();
	}

	public Date getTimestamp() {
		return this.contextEvent.getTimestamp();
	}

	public String getContextStoreOriginID() {
		return this.contextEvent.getContextStoreOriginID();
	}

	public Long getID() {
		return this.contextEvent.getID();
	}
}
